#!/bin/sh
#check bootarg in config-file

GST_PATH="/usr/share/phytec-gstreamer-examples"
. $GST_PATH/func.sh

init_dev
[ $? -ne 0 ] && exit 1

guess_param

# Additional Settings
COL_FMT="Y8"
X_RES=${SENSOR_RES%%x*}
Y_RES=${SENSOR_RES##*x}
REG_SET_FILE=$GST_PATH/${REG_SET_FILE##*/}

echo ""
echo " configure camera with v4l2_control"
echo " =================================="

$V4L2_CTRL_CAM0
# . $GST_PATH/tools/cam_regs.sh -s subdev0 -r $REG_SET_FILE
# Use the "cam_regs.sh" tool, only for special register settings, that are not available through v4l2_control.

echo "starting save_raw_image with format $COL_FMT"
echo "read $X_RES x $Y_RES and write to file $CAMERA"_"$COL_FMT"_"x.raw"
echo "================================================================"

save_raw_image -D $CAM_DEVICE -no_subdev -f $COL_FMT -res_x $X_RES -res_y $Y_RES -d $NUMBER_OF_PIC -n $CAMERA"_"$COL_FMT"_"
